=== debian/changelog ===
asis (2017-2) unstable; urgency=medium

  * Rebuild with xmlada 17.1.2017-5 and gnatcoll 17.0.2017-3.
    -dev version is already new in testing.
  * Increase gprbuild verbosity in run-time test.
  * Standards-Version: 4.1.0.
  * Vcs-Mtn: new monotone URI format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 19:27:08 +0200

asis (2017-1) unstable; urgency=medium

  * New upstream release.
    Runtime and -dev package renaming per Ada policy.
    Repackage without schemas and generate them during the build.
    Generate the ada_trees-factory sources for gnatpp gnat2xml.
  * Build with gnat-7, which handles SOURCE_DATE_EPOCH by itself.
    gcc-7.diff: adapt asis/2017 to gcc-7 instead of latest gcc.
  * Build all tools. Closes: #857135.
  * Link build helpers statically.
  * gnatgcc.patch: use libgnatvsn version instead of gnatgcc symlink.
  * Permute two patches in order to reflect a dependency.
  * Debhelper 10.
  * Standards-Version 4.0.1. HTTPS copyright format URL. Priority: optional.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Enable all hardening flags. Parse the control file only once.
  * Watch file version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 11 Aug 2017 19:29:41 +0200
