=== debian/control ===
Source: asis
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Section: libdevel
Priority: optional
Standards-Version: 4.1.0
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
 gnat, gnat-7,
# This line is parsed by debian/rules.
 libgnatvsn7-dev (>= 7.1.0-10),
# gnatvsn providing rident.ads.
# gprbuild cleaning auto.cgpr
 gprbuild (>= 2017),
# Some tools require gnatcoll.
 libgnatcoll16.1.0-dev (>= 17.0.2017-3),
 libxmlada-input7-dev (>= 17.1.2017-5),
 libxmlada-sax7-dev (>= 17.1.2017-5),
 libxmlada-dom7-dev (>= 17.1.2017-5),
# dh-ada-library knowing the new /usr/share/gpr path to projects.
 dh-ada-library (>= 6.11)
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.asis
Vcs-Mtn: mtn://www.ada-france.org?org.debian.asis
Homepage: http://libre.adacore.com/libre/tools

Package: libasis2017-dev
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends}
Suggests: asis-doc
Description: Ada Semantic Interface Specification (ASIS) headers and libraries
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
 This package lets you build ASIS applications with GNAT.

Package: asis-programs
Architecture: any
Section: devel
Depends: gnat, gnat-7, ${shlibs:Depends}, ${misc:Depends}
Recommends: libaunit17.2017-dev
Description: Ada Semantic Interface Specification (ASIS) example programs
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
  * asistant is an interactive command-line tool to explore the ASIS parse tree
    of a program.
  * gnatcheck verifies the conformance of source text to coding conventions
  * gnatelim finds out unused subprograms and eliminates them.
  * gnatmetric calculates metrics such as code complexity.
  * gnatpp is a pretty-printer which reformats Ada source text according to
    a default or user-specified style guide.
  * gnatstub generates an empty but compilable body for a given specification.
  * gnattest creates AUnit test skeletons and harness for a project
    (gnattest requires the libaunit development package to be installed)

Package: libasis2017
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gnat, gnat-7, ${shlibs:Depends}, ${misc:Depends}
Description: Ada Semantic Interface Specification (ASIS) runtime library
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
 This package contains the libraries necessary to execute ASIS programs.

Package: asis-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada Semantic Interface Specification (ASIS) documentation
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
 This package contains the tutorial, news and examples, but not the
 manuals because of their license. They are available online at
 http://www.adacore.com/asis.
