=== debian/watch ===
version=4

opts=\
  repack,\
  compression=xz,\
  filenamemangle=s/^.*download=// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/@PACKAGE@ \
.*@PACKAGE@-gpl@ANY_VERSION@-src@ARCHIVE_EXT@
