=== debian/changelog ===
asis (2018-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:40 +0200

asis (2018-1) experimental; urgency=medium

  * New upstream release. No ALI/SO renaming in experimental.
  * Rebuild with changed but not renamed libgnatcoll closes: #902043.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 17:24:07 +0200

asis (2017-3) experimental; urgency=medium

  * Rebuild with gnat-8 and updated gnatvsn, xmlada, gnatcoll.
    Rename shared library and -dev package per Debian Ada policy.
    gcc-7.diff is not needed anymore.
  * Remove watch file. Explain why in README.source.
  * Debhelper 11.
  * Standards-Version 4.1.4:
  * Drop obsolete version restriction on dpkg-dev.
  * Update upstream Homepage.
  * Remove white spaces in this changelog.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 09:04:22 +0200
