=== debian/control ===
--- 
+++ 
@@ -4,26 +4,26 @@
  Nicolas Boulenguez <nicolas@debian.org>
 Section: libdevel
 Priority: optional
-Standards-Version: 4.1.0
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
- gnat, gnat-7,
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11),
+ gnat, gnat-8,
 # This line is parsed by debian/rules.
- libgnatvsn7-dev (>= 7.1.0-10),
+ libgnatvsn8-dev,
 # gnatvsn providing rident.ads.
 # gprbuild cleaning auto.cgpr
  gprbuild (>= 2017),
 # Some tools require gnatcoll.
- libgnatcoll16.1.0-dev (>= 17.0.2017-3),
- libxmlada-input7-dev (>= 17.1.2017-5),
- libxmlada-sax7-dev (>= 17.1.2017-5),
- libxmlada-dom7-dev (>= 17.1.2017-5),
+ libgnatcoll17-dev,
+ libxmlada-input8-dev,
+ libxmlada-sax8-dev,
+ libxmlada-dom8-dev,
 # dh-ada-library knowing the new /usr/share/gpr path to projects.
  dh-ada-library (>= 6.11)
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.asis
 Vcs-Mtn: mtn://www.ada-france.org?org.debian.asis
-Homepage: http://libre.adacore.com/libre/tools
+Homepage: https://www.adacore.com/community
 
-Package: libasis2017-dev
+Package: libasis2018-dev
 Architecture: any
 Depends: ${ada:Depends}, ${misc:Depends}
 Suggests: asis-doc
@@ -37,8 +37,8 @@
 Package: asis-programs
 Architecture: any
 Section: devel
-Depends: gnat, gnat-7, ${shlibs:Depends}, ${misc:Depends}
-Recommends: libaunit17.2017-dev
+Depends: gnat, gnat-8, ${shlibs:Depends}, ${misc:Depends}
+Recommends: libaunit18-dev
 Description: Ada Semantic Interface Specification (ASIS) example programs
  ASIS (Ada Semantic Interface Specification) lets you develop applications
  to walk through the sources of your Ada programs and examine the semantic
@@ -55,12 +55,12 @@
   * gnattest creates AUnit test skeletons and harness for a project
     (gnattest requires the libaunit development package to be installed)
 
-Package: libasis2017
+Package: libasis2018
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: gnat, gnat-7, ${shlibs:Depends}, ${misc:Depends}
+Depends: gnat, gnat-8, ${shlibs:Depends}, ${misc:Depends}
 Description: Ada Semantic Interface Specification (ASIS) runtime library
  ASIS (Ada Semantic Interface Specification) lets you develop applications
  to walk through the sources of your Ada programs and examine the semantic
