=== debian/tests/control ===
Tests: link-with-shared parse-source
Depends: @, gprbuild
