=== debian/changelog ===
asis (2019-5) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:17:53 +0100

asis (2019-4) experimental; urgency=medium

  * Restrict versions of build dependencies, fixing the build of indirect
    reverse dependencies in experimental where ALI versions do not change.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 16 Nov 2020 15:28:26 +0000

asis (2019-3) experimental; urgency=medium

  * Rebuild with gnat10. Rename lib and -dev accordingly.
  * Maintain 3 tool lists instead of generating code.
  * Debhelper 13.
  * Pass build flags via the environment
  * Move dh-ada-library to Build-Depends-Arch.
  * Deduplicate examples.
  * Tighten dependencies of autopkgtests.
  * Drop obsolete Pre-Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 May 2020 08:43:50 +0000

asis (2019-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Update Xavier's address.
  * Use dh-sequence-* syntax for dh-ada-library
  * Standards-Version: 4.5.0.
  * Remove redundant branch selection from Vcs-Git field

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 17:55:12 +0100

asis (2019-1) experimental; urgency=medium

  * New upstream version built with gnat-9 and updated dependencies.
    Rename the lib and -dev packages accordingly.
  * Use packaged libxmlezout instead of an old embedded copy.
  * Move VCS to salsa.debian.org.
  * Install asis-doc contents into /usr/share/doc/asis-programs.
  * Report more link warnings.
  * Debhelper: 12. Standards-Version: 4.4.1. Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 29 Oct 2019 14:36:44 +0100
