=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: asis
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Section: libdevel
 Priority: optional
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ gnat, gnat-10,
 # This line is parsed by debian/rules.
- libgnatvsn8-dev,
-# gnatvsn providing rident.ads.
-# gprbuild cleaning auto.cgpr
- gprbuild (>= 2017),
-# Some tools require gnatcoll.
- libgnatcoll17-dev,
- libxmlada-input8-dev,
- libxmlada-sax8-dev,
- libxmlada-dom8-dev,
-# dh-ada-library knowing the new /usr/share/gpr path to projects.
- dh-ada-library (>= 6.11)
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.asis
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.asis
+ gprbuild (>= 2021.0.0.0778b109-2),
+ libgnat-util10-dev,
+ libgnatcoll19-dev (>= 21.0.0-2),
+ libxmlada-dom10-dev (>= 21.0.0),
+ libxmlada-input10-dev (>= 21.0.0),
+ libxmlada-sax10-dev (>= 21.0.0),
+ libxmlezout8-dev,
+Build-Depends-Arch:
+ dh-ada-library (>= 7.2),
+ dh-sequence-ada-library,
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/asis
+Vcs-Git: https://salsa.debian.org/debian/asis.git
 Homepage: https://www.adacore.com/community
 
-Package: libasis2018-dev
+Package: libasis2019.1-dev
+# This line is parsed by debian/rules.
 Architecture: any
 Depends: ${ada:Depends}, ${misc:Depends}
 Suggests: asis-doc
@@ -37,8 +39,8 @@
 Package: asis-programs
 Architecture: any
 Section: devel
-Depends: gnat, gnat-8, ${shlibs:Depends}, ${misc:Depends}
-Recommends: libaunit18-dev
+Depends: gnat, gnat-10, ${shlibs:Depends}, ${misc:Depends}
+Recommends: libaunit20-dev
 Description: Ada Semantic Interface Specification (ASIS) example programs
  ASIS (Ada Semantic Interface Specification) lets you develop applications
  to walk through the sources of your Ada programs and examine the semantic
@@ -55,12 +57,11 @@
   * gnattest creates AUnit test skeletons and harness for a project
     (gnattest requires the libaunit development package to be installed)
 
-Package: libasis2018
+Package: libasis2019.1
 Architecture: any
 Section: libs
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: gnat, gnat-8, ${shlibs:Depends}, ${misc:Depends}
+Depends: gnat, gnat-10, ${shlibs:Depends}, ${misc:Depends}
 Description: Ada Semantic Interface Specification (ASIS) runtime library
  ASIS (Ada Semantic Interface Specification) lets you develop applications
  to walk through the sources of your Ada programs and examine the semantic
