=== debian/tests/control ===
Tests: parse-source

Tests: link-with-shared
Depends: @, gprbuild
